Create an event
https://email.growthdept.ai/api/eventsRecords an event for a profile, creating the profile and the metric when they do not exist. An event whose unique_id was already recorded for the same metric is accepted and dropped. Answers 202 with no body.
The request body can be up to 5 MB.
Rate limits
Scopes
events:write
Operation id
create_event The same operation as in Klaviyo's API. OpenAPI document
Body
Send application/vnd.api+json or application/json.
object
dataobjectrequired
data: 2 fields
typestringrequired
eventattributesobjectrequired
attributes: 8 fields
propertiesobjectrequired
timestringcan be null
valuenumbercan be null
value_currencystringcan be null
unique_idstringcan be null
backfillbooleancan be null
metricobjectrequired
metric: 1 field
dataobjectrequired
data: 2 fields
typestringrequired
metricattributesobjectrequired
attributes: 2 fields
namestringrequired
servicestringcan be null
profileobjectrequired
profile: 1 field
dataobjectrequired
data: 3 fields
typestringrequired
profileidstring
attributesobject
attributes: 14 fields
emailstringcan be null
phone_numberstringcan be null
external_idstringcan be null
first_namestringcan be null
last_namestringcan be null
organizationstringcan be null
localestringcan be null
titlestringcan be null
imagestringcan be null
locationobject
location: 10 fields
address1stringcan be null
address2stringcan be null
citystringcan be null
countrystringcan be null
latitudestring or numbercan be null
longitudestring or numbercan be null
regionstringcan be null
zipstringcan be null
timezonestringcan be null
ipstringcan be null
propertiesobject
anonymous_idstringcan be null
_kxstringcan be null
metaobject
meta: 2 fields
patch_propertiesobject
patch_identifiersobject
Edit the example. The code samples use what you type here.
Headers
stringrequireddefault 2026-10-15
API revision, YYYY-MM-DD. This server implements 2026-10-15.
Responses
202Success
No body.
4XXClient error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject
See status codes for each code.
5XXServer error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject